Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class FBSQLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.firebirdsql.jdbc.FBSQLException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

@Deprecated(since="6", forRemoval=true) public class FBSQLException extends SQLException
Deprecated, for removal: This API element is subject to removal in a future version.
Unused, will be removed in Jaybird 7

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FBSQLException(Exception ex)`
Deprecated, for removal: This API element is subject to removal in a future version.
`FBSQLException(String message)`
Deprecated, for removal: This API element is subject to removal in a future version.
`FBSQLException(String message, String sqlState)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`static String`
`defaultSQLStateIfNull(String sqlState)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### FBSQLException

public FBSQLException(Exception ex)
Deprecated, for removal: This API element is subject to removal in a future version.

### FBSQLException

public FBSQLException(String message)
Deprecated, for removal: This API element is subject to removal in a future version.

### FBSQLException

public FBSQLException(String message, String sqlState)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `message` - Exception message
  `sqlState` - SQL State for this exception. Replaced with `SQLStateConstants.SQL_STATE_GENERAL_ERROR` if null

## Method Details

### defaultSQLStateIfNull

public static String defaultSQLStateIfNull(String sqlState)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `sqlState` - SQL State value (or null)
Returns:
  The passed sqlState or `SQLStateConstants.SQL_STATE_GENERAL_ERROR` if sqlState is null.